<template>
  <div class="block under-line gray-back">
    <v-container>
      <h2 class="sub-under-line text-center text-tengah">New Campaigns</h2>
      <v-row class="mt-10">
        <v-col
          v-for="item in items"
          :key="item.id"
          class="d-flex child-flex"
          cols="3"
        >
          <v-card outlined elevation="2" class="mx-auto" max-width="344">
            <v-img
              class="white--text align-end"
              max-height="200"
              max-width="275"
              :src="item.picture"
            >
            </v-img>
            <v-card-subtitle>
              <h2 class="mt-5 text-center">{{ item.subtitle }}</h2>
            </v-card-subtitle>
            <v-card-text>
              <p>
                {{ item.text }}
              </p>
            </v-card-text>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<script>
export default {
  name: "Campaign",

  data: () => ({
    items: [
      {
        id: 1,
        picture: require("../assets/img/campaign/innova.jpg"),
        subtitle: "Test Nano Blade | World's Smallest Tactical Pocket Knife",
        text:
          "Best Concealed Carry Pocket Knives for Everyday Carry - Lifetime Warranty - Bomber & Company engineers urban survival & paracord gear.",
      },
      {
        id: 2,
        picture: require("../assets/img/campaign/ferrari.png"),
        subtitle: "Secure",
        text:
          "Your transaction and data is secure and you have nothing to worried about us. We are giving world class security",
      },
      {
        id: 3,
        picture: require("../assets/img/campaign/model.jpg"),
        subtitle: "Secure",
        text:
          "Your transaction and data is secure and you have nothing to worried about us. We are giving world class security",
      },
      {
        id: 4,
        picture: require("../assets/img/campaign/train.jpg"),
        subtitle: "Secure",
        text:
          "Your transaction and data is secure and you have nothing to worried about us. We are giving world class security",
      },
      {
        id: 5,
        picture: require("../assets/img/campaign/bike.jpg"),
        subtitle: "Test Nano Blade | World's Smallest Tactical Pocket Knife",
        text:
          "Best Concealed Carry Pocket Knives for Everyday Carry - Lifetime Warranty - Bomber & Company engineers urban survival & paracord gear.",
      },
      {
        id: 6,
        picture: require("../assets/img/campaign/tshirt.jpg"),
        subtitle: "Secure",
        text:
          "Your transaction and data is secure and you have nothing to worried about us. We are giving world class security",
      },
      {
        id: 7,
        picture: require("../assets/img/campaign/lily.jpg"),
        subtitle: "Secure",
        text:
          "Your transaction and data is secure and you have nothing to worried about us. We are giving world class security",
      },
      {
        id: 8,
        picture: require("../assets/img/campaign/lens.jpg"),
        subtitle: "Secure",
        text:
          "Your transaction and data is secure and you have nothing to worried about us. We are giving world class security",
      },
    ],
  }),
};
</script>

<style scooped>
.icon-center {
  margin: 10px 0 0 100px;
}
</style>